Bug 1278225 - erase all the cache regardless --releasever specified
erase all the cache regardless --releasever specified
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Linux
low Severity low
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened, Triaged
: 1253806 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 20:05 EST by John C. Beima
Modified: 2017-03-31 11:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-31 11:59:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John C. Beima 2015-11-04 20:05:00 EST
Description of problem:

The command "dnf clean all" does not clean out the cache created by the system-upgrade plugin.

It only "cleans" part of it.

For example:

You issue:

dnf clean all

dnf update

To bring Fedora 22 current.

Then you issue:

dnf system-upgrade download --releasever=23 --best

This will then download the Fedora 23 and Fedora 23 Update Repositories.

In my case this generated an error:

kf5-kdesu-5.15.0-2 requires kf5-filesystem >= 5.15.0, but no provider can provide it.

So I waited a day and issued the following commands:

dnf clean all

dnf update

dnf system-upgrade download --releasever=23 --best

At this point dnf only download the Fedora 23 Update Repository. This was because the "dnf clean all" did not "clean" the Fedora 23 Repository. It stayed.


Version-Release number of selected component (if applicable):

dnf - 1.1.3-1.fc22

dnf-plugins-system-upgrade - 0.7.0-1.fc22


How reproducible:


Steps to Reproduce:
1. dnf clean all
2. dnf update
3. dnf system-upgrade download --releasever=23 --bext
4. dnf clean all
5. dnf system-upgrade download --releasever=23 --best

Actual results:

You will see it cleans and re-loads the Fedora 23 Updates Repository.

However it maintains the orginially download Fedora 23 Repository.


Expected results:

A "dnf clean all" should remove or "clean" out all respositories.


Additional info:
Comment 1 John C. Beima 2015-11-05 11:52:28 EST
In my case, in order to get the dnf system-upgrade to work, I had to do the following to clear the package dependency error out:

1. cd /var/cache/dnf
2. rm -rf *
3. dnf update
4. dnf system-upgrade download --releasever=23 --best
5. dnf system-upgrade reboot

After cleaning out the cache manually/forcefully the upgrade performed.

The "clean all" parameter simply needs to be aware of the repositories the plugins create.
Comment 2 Honza Silhan 2015-11-09 08:07:04 EST
tip: you can use these steps for upgrade where the new metadata are requested:
* dnf upgrade
* dnf system-upgrade download --releasever=23 --refresh
* dnf system-upgrade reboot
Comment 3 John C. Beima 2015-11-09 15:17:12 EST
Jan: I did not try the "--refresh", since I was unaware that it existed.

However a "clean all" should clean all no matter what. :) Just my humble opinion.

Jan the problem was also in the Fedora 23 cache not the update cache. Since once I physically erased the contents of the dnf cache directory the upgrade proceeded.

I know it was Fedora, since when I was checking dnf was re-downloading the upgrade repo, and keeping the orginal Fedora repo.

If that helps at all.
Comment 4 John C. Beima 2015-11-09 15:19:51 EST
I think we have 2 seperate bugs here.

First clean all does not clean all when repos are created by system-upgrade.

Second system-upgrade should erase all caches when the --releasever is used.

Two seperate issues...
Comment 5 Michal Domonkos 2016-01-07 12:41:19 EST
*** Bug 1253806 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:31:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-07-19 14:56:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 John C. Beima 2016-07-19 15:01:24 EDT
Not sure why this was closed, since it exists in all versions of Fedora, it is simply being ignored as opposed to being addressed. :)

Leaving it for over a year, because it has a lower priority doesn't fix it. :)
Comment 9 Jaroslav Mracek 2017-03-31 11:59:12 EDT
I cannot reproduce the problem with dnf-2.2.0_1-3g33c95a8.fc25.noarch.
Please can you try to reproduce your problem with dnf-2.0? It was released for fc26 and rawhide, but we provide the test repository for Fedora 24 and later versions.

Note You need to log in before you can comment on or make changes to this bug.